# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::A3DSTexture Class Reference

The A3DSTexture class represents a texture in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions
| A3DSTexture ()
## Public Attributes
String | mFileName
float | mUScale
float | mVScale
float | mUOffset
float | mVOffset
float | mRotation
bool | mOpt_tile
bool | mOpt_decal
bool | mOpt_mirror
bool | mOpt_negative
bool | mOpt_summed_area
bool | mOpt_use_alpha
bool | mOpt_one_channel_tint
bool | mOpt_ignore_alpha
bool | mOpt_rgb_tint

## Detailed Description

The A3DSTexture class represents a texture in a 3DS file.

## Constructor & Destructor Documentation

vl::A3DSTexture::A3DSTexture | ( |  | ) | `[inline]`

## Member Data Documentation

String vl::A3DSTexture::mFileName

float vl::A3DSTexture::mUScale

float vl::A3DSTexture::mVScale

float vl::A3DSTexture::mUOffset

float vl::A3DSTexture::mVOffset

float vl::A3DSTexture::mRotation

bool vl::A3DSTexture::mOpt_tile

bool vl::A3DSTexture::mOpt_decal

bool vl::A3DSTexture::mOpt_mirror

bool vl::A3DSTexture::mOpt_negative

bool vl::A3DSTexture::mOpt_summed_area

bool vl::A3DSTexture::mOpt_use_alpha

bool vl::A3DSTexture::mOpt_one_channel_tint

bool vl::A3DSTexture::mOpt_ignore_alpha

bool vl::A3DSTexture::mOpt_rgb_tint

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:11 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.